I am working on an External NX application using C and C++ API with NX 8.5.
I am trying to fit curves and surfaces through some point data that I have. I am adding the points to an array and trying to fit a curve through those using StudioSplineBuilder. I need a NURBS curve so I use...
I am trying to fit a curve using UF_MODL_create_fitted_spline providing end slopes. One end of the created spline shows a loop back due to the slope constraint. I have observed that NX decides the direction of the slope vector automatically. I tried negating the slope vector but still it causes...
I am trying to create a set of 'through curves' surfaces using UF_MODL_create_sew. I have two parallel surfaces and a third adjoining surface which should have a C0 or C1 continuity with the parallel surfaces.
I am creating all the three faces using a thru_curves method which accepts set of...
What change does the sewing operation do to a B surface?
I am using UF_MODL_create_sew to sew two surfaces. But when I query the target surface for knots and control points using UF_MODL_ask_bsurf before and after the sewing operation I see no difference. So I am not sure if I have the right...
Hey thanks a ton Bleaker.
That is what I needed. I was using the pointer without allocating memory.
But surprisingly the program executed a few times before and I was able to print the control points, I guess the function UF_MODL_ask_bsurf was also allocating memory internally. Not sure...
Visual Studio 2010 behaves in a weird manner.
I have a function to extract control points from a surface in which i use UF_MODL_ask_bsurf(). Sometimes VS executes past the code line and prints the control points on console. Some other times it stops at UF_MODL_ask_bsurf(). I cant figure out...
Cowski, thanks for the reply.
I see there is no straight way to create scalar objects as the constructor for those are protected.
I saw this function UF_CALL(UF_POINT_create_on_surface(tGeometry, tag_u, tag_v, PtTag)); to which I need to pass tags to scalar objects for u and v.
It can be...
I am trying to get control points and other data for a NURBS surface. I am using the UF_MODL_ask_bsurf method.
UF_MODL_bsurface_p_t t_struc_info;
UF_CALL(UF_MODL_ask_bsurf(SurfId, t_struc_info));
I get the following error without any proper error message or error code...
Hi
I am creating a surface using a thru curves option UF_MODL_create_thru_curves. I need to get a point on this surface for a given u and v parameter values. How can this be done ?
Thanks for the help.
Regards
Wilson
Hi,
I am trying to create a spline in NXOpen by passing the points on curve and I need to extract the control points for this curve. Which would be the best way to do it?
I can use
UF_CALL (UF_MODL_create_fitted_spline(&tFitSplineData, &dMaxErr, &nErrorCode, &tGeometry) );
but I dont know...
Is there a way to get the control points of a spline created through
UF_CALL (UF_MODL_create_fitted_spline(&tFitSplineData, &dMaxErr, &nErrorCode, &tGeometry) );
I have the tGeometry. Can this be casted to any spline class which can return the control points.
more info :
There is no compile time error. At runtime, the console window (console app that calls this dll) shows the above message. Program returns from the dll function without error.
Hello all,
I am trying to create a .dll using NX Open to create surface. I wrote a function which returns the error 945001. I am not able to find out what error 945001 actually is. Below is the function code. This function accepts an array of points and creates a spline from those points and...
Hi all,
I am into application development using C++. I am new to NXOpen. For my next assignment I am looking to creating an application in C++ using NXOpen libraries. The application is supposed to be external to NX environment (as an independent setup and program launcher). Where should I...